#pragma once
#include <filesystem>
#include "../Config.h"
struct Default_Config_File {
    Config_Section section;
    std::filesystem::path path;
    Psc::JSON value;
};
Default_Config_File make_default_config_file(Config_Section section, const std::filesystem::path& directory);
Default_Config_File make_default_dsp_config(const std::filesystem::path& directory);
Default_Config_File make_default_drogon_config(const std::filesystem::path& directory);
Default_Config_File make_default_http_monitor_config(const std::filesystem::path& directory);
Default_Config_File make_default_mlat_config(const std::filesystem::path& directory);
Default_Config_File make_default_web_server_config(const std::filesystem::path& directory);
Default_Config_File make_default_map_resources_config(const std::filesystem::path& directory);
Default_Config_File make_default_map_view_config(const std::filesystem::path& directory);
Default_Config_File make_default_map_models_config(const std::filesystem::path& directory);
Default_Config_File make_default_mode_acs_config(const std::filesystem::path& directory);
Default_Config_File make_default_log_config(const std::filesystem::path& directory);
Default_Config_File make_default_console_config(const std::filesystem::path& directory);
Default_Config_File make_default_external_database_config(const std::filesystem::path& directory);
Default_Config_File make_default_cesium_graphics_config(const std::filesystem::path& directory);
